## xdelta3-gui 0.23.10.01

=== debian/changelog ===
xdelta3-gui (0.23.10.01) mx; urgency=medium

  * Change icon

 -- Adrian <adrian@mxlinux.org>  Mon, 30 Oct 2023 13:43:52 -0400

xdelta3-gui (0.23.10) mx; urgency=medium

  * Initial release

 -- Adrian <adrian@mxlinux.org>  Mon, 23 Oct 2023 02:00:02 -0400
