## xdelta3-gui 23.12

=== debian/changelog ===
xdelta3-gui (23.12) mx; urgency=medium

  * New translations

 -- Adrian <adrian@mxlinux.org>  Sun, 10 Dec 2023 09:50:00 -0500

xdelta3-gui (0.23.10.02) mx; urgency=medium

  * Add svg icon

 -- Adrian <adrian@mxlinux.org>  Mon, 30 Oct 2023 18:13:17 -0400
