## xdelta3-gui 24.3

=== debian/changelog ===
xdelta3-gui (24.3) mx; urgency=medium

  * Update translations

 -- Adrian <adrian@mxlinux.org>  Sat, 23 Mar 2024 12:41:52 -0400
