=== debian/control ===
Source: xdelta3-gui
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper (>=10), qtbase5-dev, qttools5-dev-tools
Standards-Version: 3.9.8

Package: xdelta3-gui
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, xdelta3, progress
Description: xdelta3-gui
 GUI for xdelta3 application
 xdelta3 - VCDIFF (RFC 3284) binary diff tool
