## xdelta3-gui 25.4

=== debian/changelog ===
xdelta3-gui (25.4) mx; urgency=medium

  * Update to Qt6
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Thu, 24 Apr 2025 20:57:31 -0400
