## xdelta3-gui 26.01.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -95,11 +95,13 @@
     main.cpp
     mainwindow.cpp
     cmd.cpp
+    droplineedit.cpp
 )
 
 set(HEADERS
     mainwindow.h
     cmd.h
+    droplineedit.h
 )
 
 set(UI_FILES
@@ -122,6 +124,9 @@
     Qt6::Gui
     Qt6::Widgets
 )
+
+# Include source directory for promoted widgets
+target_include_directories(xdelta3-gui PRIVATE ${CMAKE_SOURCE_DIR})
 
 # Set compiler flags
 target_compile_options(xdelta3-gui PRIVATE
@@ -184,3 +189,10 @@
 install(TARGETS xdelta3-gui
     RUNTIME DESTINATION bin
 )
+
+# Shared data for desktop integration and translations
+install(FILES xdelta3-gui.desktop DESTINATION share/applications)
+install(FILES xdelta3-gui.png DESTINATION share/pixmaps)
+install(FILES xdelta3-gui.svg DESTINATION share/icons/hicolor/scalable/apps)
+install(FILES x-xdelta3.xml DESTINATION share/mime/packages)
+install(FILES ${qm_files} DESTINATION share/xdelta3-gui/locale)
